Bug 172186 - Kopete crash when receiving auth on startup
Kopete crash when receiving auth on startup
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kdenetwork (Show other bugs)
3
All Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-01 05:06 EST by André Johansen
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-07 08:08:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Call stack (215.95 KB, text/plain)
2005-11-01 05:06 EST, André Johansen
no flags Details
Valgrind output (7.35 KB, text/plain)
2005-11-01 07:25 EST, André Johansen
no flags Details

  None (edit)
Description André Johansen 2005-11-01 05:06:29 EST
Description of problem:  
A person I've got on my ICQ list has asked for authorisation while I was  
offline.  Whenever I start Kopete now, I get about 50 authorisation windows  
opened.  Closing any of them (ok, cancel, esc, enter) crashes Kopete.  I'll  
attach a call-stack from the KDE crash handler.  
  
Version-Release number of selected component (if applicable):  
Qt: 3.3.4  
KDE: 3.4.2-0.fc3.2 Red Hat  
Kopete: 0.10.3  
kdenetwork-3.4.2-0.fc3.1  
  
How reproducible:  
I've not attempted to reproduce this, but it happens almost all the time for 
me now. 
  
Steps to Reproduce:  
1. Start Kopete (from menu or command line)  
2. Close one or more of the authorisation windows (e.g. Ok or Cancel)  
3. Crash
Comment 1 André Johansen 2005-11-01 05:06:30 EST
Created attachment 120598 [details]
Call stack
Comment 2 André Johansen 2005-11-01 07:25:57 EST
Created attachment 120599 [details]
Valgrind output

The crash seems to be caused by double freeing of heap memory; running Kopete
under Valgrind shows this.
Comment 3 André Johansen 2005-11-01 07:47:02 EST
It seems Kopete from the current KDE 3.5 SVN has fixed this problem, so 
pushing out KDE 3.5 (when released) will likely fix this bug. 
 

Note You need to log in before you can comment on or make changes to this bug.